### Minisite Lite ###

Contributors: troytempleman
Tags: blog, custom-background, custom-colors, custom-header, custom-logo, custom-menu, e-commerce, featured-image-header, featured-images, flexible-header, footer-widgets, four-columns, grid-layout, one-column, right-sidebar, rtl-language-support, theme-options, threaded-comments, translation-ready, three-columns, two-columns, wide-blocks
Stable tag: 1.0.4
Requires at least: 4.9
Tested up to: 5.3.2
Requires PHP: 5.3
License: GNU General Public License v2 or later
License URI: LICENSE

Minisite is a beautiful one-page WordPress theme.

## Description ##

Minisite is a beautiful one page WordPress theme designed to quickly achieve your business goals through clear, concise and interactive story-telling.

# Mobile Friendly #

More than half of all web traffic in the world is displayed on mobile devices. To accommodate this, Minisite is optimized for mobile devices. It uses Responsive Web Design (RWD) to automatically reconfigure its layout to fit the screen size and shape of the device it's being viewed on, creating the optimum user experience whether it's phone, tablet, laptop or desktop.

# User Friendly Navigation # 

Minisite has a sticky navigation bar that sticks to the top of the browser window as the user scrolls down the page, allowing them to quickly access the navigation at anytime and easily jump to different sections. Also, when any on page link is clicked, Minisite smoothly scrolls to the link location, giving the user a sense of where they are on the page and where they are going.

# Live Customizer # 

Minisite leverages and extends the native WordPress Theme Customizer, allowing you to easily customize the appearance of your site in a user friendly interface and preview changes live in real time before publishing. Minisite Pro has 15 custom sections to customize with over 1,500 options for content, images, menus, layout, typography, colour and more!

# SEO Friendly # 

Minisite is built using Search Engine Optimization (SEO) best practices, helping increase the quantity and quality of organic search engine traffic to your site.

# WooCommerce Support # 

The WooCommerce WordPress plugin is one of the most popular eCommerce platforms in the world and Minisite is fully compatible with it, letting you turn your site into a online store with ease.

# Translation and RTL Ready # 

Minisite is coded in such a way that it can be easily translated into other languages without modifying the source code. It also supports languages written from right to left (RTL).

# Icon Fonts # 
Minisite comes with over 1,500 icon fonts from Font Awesome and are packaged with IcoMoon, making it easy to add icons to or replace with your own icon font package.

# Pro Features # 

**More Sections**
* Notification Bar
* Gallery Section
* Testimonials Section
* Pricing Section
* FAQ Section
* Newsletter Section
* Logos Section
* Map Section
* Footer Section

**More Section Controls**
* Notification Bar
* Gallery Section
* Testimonials Section
* Pricing Section
* FAQ Section
* Newsletter Section
* Logos Section
* Map Section
* Footer Section

**More Features**
* Section Ordering & Visibility
* Section Styling
* Section Widgets
* Header Carousel
* Social Sharing
* Typography
* Animations & Parallax Effects
* Minify & Concatenate
* Support

[Learn More](https://www.getminisites.com/theme/) or [Buy Pro](https://www.getminisites.com/theme/#pricing)

# Documentation # 

Minisite is coded in such a way that it can be easily translated into other languages without modifying the source code. It also supports languages written from right to left (RTL).

[View Documentation](https://www.getminisites.com/theme/documentation/)

# Support # 

Have a question that's not covered in the documentation? If you purchased Minisite, please visit the support forum or submit a ticket with details of your issue and we'll get back to you as soon as possible.

[Support Forum](https://www.getminisites.com/theme/support/)

## Installation ##

# Install via WordPress #
If you have this theme as a .zip file, you can manually upload it and install it through the Themes admin screen.

1. Login to WordPress.
2. Navigate to **Appearance** > **Themes**.
4. On the **Add Themes** page, click **Upload Theme**.
5. Click **Choose File** to locate the theme's .zip file and click **Open**. 
6. Click **Install Now**.
7. On the **Installing Theme from uploaded file** page, click **Activate**.

# Install via FTP #
This procedure requires you to have access to your WordPress installation on your server and familiar with the process of transferring files using an FTP client, such a FileZilla or WinSCP.

1. If you have this theme as a .zip file, unzip it with a program such as StuffIt Expander or WinZip.
2. Connect to your WordPress directory on your server with a FTP client.
3. Copy the theme folder to the `wp-content/themes` folder in your WordPress directory. This installs the plugin to your WordPress site.
4. Login to WordPress.
5. Navigate to to **Themes**.
6. Locate the theme in the list.
7. Click the theme's **Activate** button.

## Frequently Asked Questions ##

# How do you install this theme? #
See **Installation** section.

## Screenshots ##

1. screenshot.png

## Changelog ##

# 1.0.0 - November 1, 2019 #
* Initial release

# 1.0.1 - January 24, 2020 #
* New Theme Setup Wizard
* Changed theme slug and text domain from minisite to minsite-lite

# 1.0.2 - January 24, 2020 #
* Updated minisite-lite.pot translation file

# 1.0.3 - April 3, 2020 #
* Removed Minisite Plus from Appearance > Minisite > Features 

# 1.0.4 - April 4, 2020 #
* Moved external scripts in inc/customizer/inc/custom-controls/custom-controls.php to inc/customizer/inc/custom-controls/css and inc/customizer/inc/custom-controls/js

## Credits ##

* [Bootstrap](https://getbootstrap.com/)
* [Bootstrap 4 multi dropdown navbar](https://github.com/bootstrapthemesco/bootstrap-4-multi-dropdown-navbar)
* [Counter-Up](https://github.com/bfintal/Counter-Up/)
* [Font Awesome](https://fontawesome.com*/)
* [Google Maps](https://www.google.ca/maps)
* [Homepage Control](https://wordpress.org/plugins/homepage-control/)
* [IcoMoon](https://icomoon.io/)
* [Mailchimp](https://mailchimp.com/)
* [Metropolis](https://github.com/chrismsimpson/Metropolis)
* [Slick](https://kenwheeler.github.io/slick/)
* [TGM Plugin Activation](http://tgmpluginactivation.com/)
* [Theme Demo Import](https://wordpress.org/plugins/theme-demo-import/)
* [Underscores](https://underscores.me/)
* [Undraw](https://undraw.co/)
* [WordPress Customizer Custom Controls](https://github.com/maddisondesigns/customizer-custom-controls)
* [WP Bootstrap Navwalker](https://github.com/wp-bootstrap/wp-bootstrap-navwalker)
